<?php
/*
* Pixel Point Creative "Elegant Grid" Module for Joomla!
* License: GNU General Public License version 2 http://www.gnu.org/copyleft/gpl.html
* Copyright (c) 2012 Pixel Point Creative LLC.
* More info at http://www.pixelpointcreative.com
* Review our terms/license here: http://pixelpointcreative.com/terms.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

 

jimport('joomla.html.html');

jimport('joomla.form.formfield');

class JFormFieldK2category extends JFormField

{

	/**

  * The form field type.

  *

  * @var  string

  * @since	1.6

  */

	protected $type = 'k2category'; //the form field type

  /**

  * Method to get content articles

  * @return	array	The field option objects.

  * @since	1.6

  */

    protected function getInput()

    {

        // Initialize variables.

        $session = JFactory::getSession();

        $options = array();

        $attr = '';

        // Initialize some field attributes.

        $attr .= $this->element['class'] ? ' class="'.(string) $this->element['class'].'"' : '';

        // To avoid user's confusion, readonly="true" should imply disabled="true".

        if ( (string) $this->element['readonly'] == 'true' || (string) $this->element['disabled'] == 'true') { 

            $attr .= ' disabled="disabled"';

        }

        $attr .= $this->element['size'] ? ' size="'.(int) $this->element['size'].'"' : '';

        $attr .= $this->multiple ? ' multiple="multiple"' : '';

        // Initialize JavaScript field attributes.

        $attr .= $this->element['onchange'] ? ' onchange="'.(string) $this->element['onchange'].'"' : '';

        //now get to the business of finding the articles

        $db = &JFactory::getDBO();

        //$query = 'SELECT * FROM #__categories WHERE published=1 AND extension = "com_content" ORDER BY parent_id';

        

        $query = 'SELECT m.* FROM #__k2_categories m WHERE published=1 AND trash = 0 ORDER BY parent';

        $db->setQuery($query);

        $categories = $db->loadObjectList();

        $children = array();

        if($categories!=""){

            if ($categories){

                foreach ( $categories as $v ){

                    if(K2_JVERSION=='16'){

                        $v->title = $v->name;

                        $v->parent_id = $v->parent;

                    }

                    $pt = $v->parent;

                    $list = @$children[$pt] ? $children[$pt] : array();

                    array_push( $list, $v );

                    $children[$pt] = $list;

                }

            }

            $list = JHTML::_('menu.treerecurse', 0, '', array(), $children, 9999, 0, 0 );

         

            $mitems = array();    

            foreach ( $list as $item ){//

                $mitems[] = JHTML::_('select.option',  $item->id, '---| '. str_replace("&#160;","-",$item->treename) );

            } 

            return JHTML::_( 'select.genericlist', $mitems, $this->name,trim($attr), 'value', 'text', $this->value, $this->id ); 

        }

    }

}

?>

		



				