<?php                 
/*
* @package		Speak Box Module for Joomla!
* @author		Pixel Point Creative http://www.pixelpointcreative.com
* @copyright	Copyright (C) 2011 Pixel Point Creative. All rights reserved.
* @license		GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
*/
 
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
if (class_exists('JElement')){
	class JElementListThumbnailMode extends JElement {
		var $_name = 'Ppc Thumbnail Modes';
		var $_mode = array('none', 'center', 'fill', 'fit', 'stretch');
		function fetchElement($name, $value, &$node, $control_name){
			$html = "";
			if (count($this->_mode)>0){
				$html = '<select class="inputbox" id="' . $control_name . $name .'" name="' . $control_name . '[' . $name . ']" style="width:132px;">';
				foreach ($this->_mode as $mode){
					$selected = $mode == $value ? 'selected="selected"' : '';
					$html .= '<option value="' . $mode . '" ' . $selected . '>' . JText::_(ucfirst($mode)) . '</option>';
				}
				$html .= '<select>';
			}
			$html .= "<br>"
				. "<div class=\"ppc_description\" style=\"padding: 5px 0 0 0;\">
						<img src=\"data:image/gif;base64,R0lGODlhAQABAJEAAAAAAP///////wAAACH5BAUUAAIALAAAAAABAAEAAAICVAEAOw==\" alt=\"PPC Thumbnail Modes\" style=\"background:url(../modules/mod_speakbox/images/thumbmode.png) no-repeat;width:400px; height: 60px;\"/>
					</div>";
			return $html;
		}
	}
}
if (class_exists('JFormField')){
	class JFormFieldListThumbnailMode extends JFormField {
		var $_name = 'Ppc Thumbnail Modes';
		var $_mode = array('none', 'center', 'fill', 'fit', 'stretch');
		function getInput(){
			$html = "";
			if (count($this->_mode)>0){
				$html = '<select class="inputbox" id="' . $this->id .'" name="' . $this->name . '" style="width:132px;">';
				foreach ($this->_mode as $mode){
					$selected = $mode == $this->value ? 'selected="selected"' : '';
					$html .= '<option value="' . $mode . '" ' . $selected . '>' . JText::_(ucfirst($mode)) . '</option>';
				}
				$html .= '<select>';
			}
			$html .= "<br>"
				. "<div class=\"ppc_description\" style=\"padding: 5px 0 0 0;\">
						<img src=\"data:image/gif;base64,R0lGODlhAQABAJEAAAAAAP///////wAAACH5BAUUAAIALAAAAAABAAEAAAICVAEAOw==\" alt=\"PPC Thumbnail Modes\" style=\"background:url(../modules/mod_speakbox/images/thumbmode.png) no-repeat;width:400px; height: 60px;\"/>
					</div>";
			return $html;
		}
	}
}