<?php
/*
* Pixel Point Creative Speak Box Module for Joomla!
* License: GNU General Public License version 2 http://www.gnu.org/copyleft/gpl.html
* Copyright (c) 2012 Pixel Point Creative LLC.
* More info at http://www.pixelpointcreative.com
*/
?>
<?php defined( '_JEXEC' ) or die( 'Restricted access' ); 
$bar1 = $params->get('bar1', 'bar1.png');
$truck = $params->get('truck', 'truck.png');
$trucksign = $params->get('trucksign', 'moveTruckSign.png');
$signtext = $params->get('signtext');
$signcolor = $params->get('signcolor', '000000');
$show_read_more_link = $params->get('show_read_more_link', '0');
$show_title = $params->get('show_title', '0');
$read_color = $params->get('read_color', '#fff');
$read_back = $params->get('read_back', '#972902');



$document =& JFactory::getDocument();
$styles =  ".cn_item._$module->id.selected, .cn_item:hover._$module->id{background:$nav_color_active;color:$nav_color_active_text}";
$styles .=  ".cn_item._$module->id{background:$nav_color;color:$nav_color_text}";
$styles .=  "#item_list li, #viewport{ height: " . $height_item. "px; width: ". $width_module ."px;}";
$styles .=  "#container_slider, .container_12, .container_16{ width: ". $width_module ."px;}";
$styles .=  ".sliderContainerFade { width: 50px;  height: " . ($height_item - 0). "px;}";
$styles .=  "#item_list li { padding: 0 0 0 20px}";
$styles .=  "#truckSign { margin-left: 0px; top: ". ($height_item - 75)."px; position: absolute;}";
$styles .=  "#site-center { height: ". ($height_item + 112)."px; }";
$styles .=  ".scrollbar-footer { top: " . ($height_item - 19). "px;}";

$document->addStyleDeclaration($styles);


/*print '<pre>';
print_r($items);
die;*/

?>

<?php if(!empty($items)) { ?>
<div class="blueSky">
<div id="site-center">
  <div class="container_16">
    <div class="sliderContainerFade"></div>
    <div id="viewport">
      <div id="container_slider" style="left: 0px; width: 3840px;">
        <ul id="item_list">
		  <?php foreach ($items[0] as $key => $value) { ?>
          <li class="panel<?php echo ($key + 1);?>">
          <?php if ($show_title == 1) {?>  
            <h2><?php echo $value['article_sub_title']?></h2>
            <?php }?>
            <p class="grid_12 prefix_4 suffix_4">
            <?php if ($value['article_image'] != '' && $show_image) :?>
			 	
			<img alt="<?php echo $value['article_sub_title']?>" style="float: left; border:1px solid #ddd;padding:4px; background:#f1f1f1; margin-right: 10px;" src="<?php echo $value['article_image']?>"/>
			<?php endif; ?>
            <?php echo $value['article_content']?>
			
			<?php if ($show_read_more_link == 1) {?>   
			<br/><br/>    					
			<a href="<?php echo $value['article_link'];?>" target="<?php echo $target;?>" class="more <?php echo $module->id; ?>" 
			style="float:right;padding:5px 9px;background:<?php echo $read_back; ?>;color:<?php echo $read_color; ?>;"><?php echo $read_more_link;?></a>
			<?php }?>
			</p>
			
			 <?php if ($key == 0) :?>
			<div id="truckSign" style="visibility: visible; opacity: 1; display: block; "><div id="signback" style="background:#<?php echo $signcolor;?>"><?php echo $signtext;?></div><div id="signpoint"><img src="<?php echo JURI::base()?>modules/mod_speakbox/assets/images/arrows/<?php echo $signcolor;?>-bottom.png" alt="point" width="122" height="14"/></div></div>
			<?php endif; ?>
			
			
          </li>
          
          
          
          
          
		  <?php } ?>          
        </ul>
        <!-- end item_list -->
      </div>
      <!-- container_slider -->
    </div>
    <div id="slider_cont">
    <div id="slider">
         <div id="slider_track">
              <div id="slider_knob" style="left: 0px; position: relative;"> <img width="80" height="80" alt="icon" src="<?php echo JURI::base()?>modules/mod_speakbox/assets/images/icons/<?php echo $truck;?>"/> </div>
        <!-- slider_knob -->
      </div>
      <!-- slider_track -->
    </div>
   <!---->
  </div>
    </div>
</div>  
<div class="scrollbar-footer">
	<div class="scrollbar-sub">
		<div class="bar1"></div>
		<div class="truck"></div>
		<div class="bar2"></div>
	</div>
</div>
</div>
<script type="text/javascript">
window.addEvent('domready', function(){
  
  /* Home Page */
  
  var mySlider =  new ContentSlider('container_slider', 'slider_track', 'slider_knob', {
      itemList : 'item_list' });
  
  var shaker = $$('div#truckSign');
  shaker.set('tween', {transition: Fx.Transitions.Sine.easeInOut});

  shaker.setStyles({
    opacity: 0,
    display: 'block' });
  
  /* event */
  window.addEvent('domready', function() {
    /* fade in */
    var x = function() { shaker.fade('in');};
    x.delay(300);
    var z = function() { shaker.tween('top', ['<?php echo $height_item;?>'-80, '<?php echo $height_item;?>'-60]);};
    z.periodical(1000);
   }); 
});

var ContentSlider = new Class({
  
  Implements: [Options, Events],
  
  options:{
    itemList : 'item_list'
  },

  initialize: function(element, sliderTrack, sliderKnob, options){
    this.setOptions(options);
    this.element = $(element);
    this.sliderTrack = $(sliderTrack);
    this.sliderKnob = $(sliderKnob);
    
    var sizeSelector = '#' + this.options.itemList + ' li';
    var size = this.element.getElement(sizeSelector).getSize();
    var sliderCount = $(this.options.itemList).getChildren().length;
    var sliderWidth = sliderCount * size.x;
    var slider = new Slider(this.sliderTrack, this.sliderKnob,{
      steps : 64,
      range : [0, size.x],
      onChange : function(step){
        this.element.setStyle('left', step * -(sliderCount - 1));
      }.bind(this)
    });
    
    this.element.setStyle('width', sliderWidth);
    
  }
});


     new HelloBar(6308,4937);
     </script>

<?php   } else {
	
	 echo JText::_('Has no content to show!');
	 
}?>
        
      